org.appng.openapi.model

## Class ErrorModel

- java.lang.Object
- - org.appng.openapi.model.ErrorModel

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class ErrorModel
      extends Object

  ErrorModel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_CODE`
    `static String` | `JSON_PROPERTY_MESSAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorModel` | `code(Integer code)`
    `boolean` | `equals(Object o)`
    `Integer` | `getCode()` Get code
    `String` | `getMessage()` Get message
    `int` | `hashCode()`
    `ErrorModel` | `message(String message)`
    `void` | `setCode(Integer code)`
    `void` | `setMessage(String message)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_CODE

          public static final String JSON_PROPERTY_CODE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_MESSAGE

          public static final String JSON_PROPERTY_MESSAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ErrorModel

          public ErrorModel()

  - ### Method Detail

    - #### code

          public ErrorModel code(Integer code)

    - #### getCode

          public Integer getCode()

      Get code
      Returns:
        code

    - #### setCode

          public void setCode(Integer code)

    - #### message

          public ErrorModel message(String message)

    - #### getMessage

          public String getMessage()

      Get message
      Returns:
        message

    - #### setMessage

          public void setMessage(String message)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.